SoundSoftware Code Site - Bug #70

"This URL has XX access" should say "You have XX access to this repository"

2011-01-25 11:00 AM - Chris Cannam

Status: Closed Start date: 2011-01-25
Priority: Low Due date:

Assignee: Chris Cannam % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

In the repository page, there is a bit of text at the top (from the Checkout plugin) which says something like "This URL has Read+Write
access."

| think that this text has two purposes -- to distinguish between multiple URLs given for a single project, and to distinguish between
multiple levels of user access (e.g. members/nonmembers).

For our purposes, however, we only ever have one URL per project and the text could be more informative if it made clearer that it
was referring to user access. So, it would be better written as something like "You have Read+Write access to this URL" (or "to this
repository").

Related issues:
Related to Feature # 98: Show "personal" and "public" repo URLs in checkout p... New 2011-03-16

History

#1 - 2011-03-29 10:51 AM - Chris Cannam

Fixed as of commit:5835a1beeb11

Now we show the access status only when the user is logged in, and make it personal ("You have blah access to this url").

#2 - 2011-03-29 12:42 PM - Chris Cannam
- Status changed from New to Closed

- % Done changed from 0 to 100

Merged and live.
